## compiz 0.8.16.1

=== debian/changelog ===
compiz (2:0.8.16.1-4) unstable; urgency=medium

  * Enable ezoom by default.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 18 Jan 2019 16:58:21 +0100

compiz (2:0.8.16.1-3) unstable; urgency=medium

  * Fix binary-indep build.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 15 Dec 2018 10:44:56 +0100

compiz (2:0.8.16.1-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Move compiz-dev's .pc files to a multiarch location. (Closes: #916290)

  [ Samuel Thibault ]
  * Upload to unstable.
  * Move libdecoration0-dev's .pc files to a multiarch location too.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 15 Dec 2018 02:29:31 +0100

compiz (2:0.8.16.1-1) experimental; urgency=medium

  * New upstream release (Closes: #899213)
    - debian/compiz-plugins.install: Install plugin icons.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 17 Nov 2018 13:44:20 +0100

compiz (2:0.8.14-3) unstable; urgency=medium

  * control: Fix indep-only build.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 15 Nov 2018 17:15:59 +0100

compiz (2:0.8.14-2) unstable; urgency=medium

  * control: Fix libpng-dev dependency.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 15 Nov 2018 16:13:34 +0100

compiz (2:0.8.14-1) unstable; urgency=medium

  * Split back packaging according to compiz-reloaded new upstream, and bump
    epoch accordingly (Closes: #907640, #874018, #848845)
  * Switch to hypra maintenance team
  * Restore non-reloaded package names
  * Keep compatibility with packages in Debian
  * Update copyright file
  * Generate dbgsym packages

 -- Samuel Thibault <sthibault@debian.org>  Sat, 27 Oct 2018 21:11:46 +0200

compiz (1:0.9.13.1+18.04.20180302-2) unstable; urgency=medium

  * Last compiz-from-launchpad upload.
 
 -- Samuel Thibault <sthibault@debian.org>  Sat, 20 Oct 2018 15:14:00 +0200

compiz (1:0.8.4-4ubuntu1) maverick; urgency=low

  * Bumped epoch
 
 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 17 Jun 2010 10:12:18 +1000

compiz (0.8.14-0~stretch1) stretch; urgency=low

  * New upstream release.
    - rename source package to reloaded version
  * Add override dh_strip to no create automatic dbgsym.
  * Switch build on GTK3.
  * Bump standards to version 3.9.8.

 -- Jof Thibaut <compiz@tuxfamily.org>  Sat, 24 Jun 2017 23:02:28 +0200
