=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/compiz-$1\.tar\.gz/ \
  https://github.com/compiz-reloaded/compiz/tags .*/v?(\d\S*)\.tar\.gz
