## compiz 0.8.18

=== debian/changelog ===
compiz (2:0.8.18-9) unstable; urgency=low

  * Update standards version to 4.6.2, no changes needed.
  * control: Fix compiz-dev dependency on libjpeg-dev (Closes: Bug#1116473)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 27 Sep 2025 22:06:01 +0200

compiz (2:0.8.18-8) unstable; urgency=medium

  * control: Demote compiz-mate's dependency on mate-themes to a Recommends.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 31 Mar 2025 23:21:22 +0200

compiz (2:0.8.18-7) unstable; urgency=medium

  * control: Bump to fuse3.  Closes: #1084463
  * watch: Use api to get tags.
  * control: Build-depend on libjpeg-dev instead of libjpeg62-turbo-dev
    (Closes: Bug#1089019).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 11 Jan 2025 02:24:39 +0100

compiz (2:0.8.18-6) unstable; urgency=medium

  * control: Drop compiz-plugins-default transitional package.
  * control: Drop libgl1-mesa-dev dependency alternative, now obsolete.
  * patches/libxml2-12: Fix compatibility with libxml 2.12.  Closes: #1071947
  * patches/gcc-14: Fix compilation with gcc-14.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 26 May 2024 13:16:33 +0200

compiz (2:0.8.18-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/64-bit-time-t-compat.patch: fix build with
    _TIME_BITS=64.

 -- Steve Langasek <vorlon@debian.org>  Sat, 16 Mar 2024 01:19:57 +0000

compiz (2:0.8.18-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061901

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 17:31:21 +0000

compiz (2:0.8.18-5) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Remove .git from end of gitlab URL in Homepage field
  * control: Make compiz Multi-Arch: foreign.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libgl1-mesa-dev, libice-dev,
      libmarco-dev, libmate-desktop-dev, libsm-dev,
      libstartup-notification0-dev, libxcomposite-dev, libxdamage-dev,
      libxfixes-dev, libxrandr-dev, libxrender-dev and x11proto-gl-dev.
    + compiz: Drop versioned constraint on libcompizconfig0 in Depends.
    + compiz-core: Drop versioned constraint on nvidia-driver in Suggests.
    + compiz-dev: Drop versioned constraint on libice-dev, libsm-dev,
      libstartup-notification0-dev, libxcomposite-dev, libxdamage-dev,
      libxfixes-dev and libxrandr-dev in Depends.
    + compiz-gnome: Drop versioned constraint on libcompizconfig0 in Depends.
    + compiz-plugins: Drop versioned constraint on compiz-plugins and
      compiz-plugins-default in Conflicts.
    + compiz-plugins: Drop versioned constraint on compiz-plugins and
      compiz-plugins-default in Replaces.
    + libdecoration0-dev: Drop versioned constraint on libxrender-dev in
      Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Jan 2023 22:58:27 +0100

compiz (2:0.8.18-4) unstable; urgency=medium

  * patches/rsvg-header: Fix building with newer version of librsvg which
    renamed its librsvg-features.h header.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 08 Feb 2022 22:53:09 +0100

compiz (2:0.8.18-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Set Rules-Requires-Root to no.
  * rules: Re-enable fuse plugin.
  * control: Add libfuse-dev build-dep.
  * control: Drop libxml-parser-perl build-dep, not actually needed.
  * control: Drop marco-common build-dep, not actually needed.
  * control: Bump Standards-Version to 4.6.0 (no change)

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + compiz-mate: Drop versioned constraint on marco in Depends.
  * Remove constraints unnecessary since buster:
    + compiz: Drop versioned constraint on fusion-icon in Suggests.
    + compiz-core: Drop versioned constraint on compiz-plugins-main in
      Recommends.
    + compiz-plugins-default: Drop versioned constraint on compiz-plugins-extra
      and compiz-plugins-main in Depends.
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.5.1, no changes needed.
  * Set upstream metadata fields: Repository-Browse.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 08 Jan 2022 17:47:28 +0100

compiz (2:0.8.18-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * Update usptream URL
  * control: Make compiz-core break old version of libcompizconfig0 which
    didn't have the Compiz ABI build-dep.
  * rules: Drop now-default -Wl,--as-needed option
  * rules: Move libdecoration lib to multi-arch path.
  * control: Make libdecoration0 multi-arch: same.
  * control: Bump Standards-Version to 4.5.0 (no change).
  * watch: Update URL.
  * rules: Fix build-all.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 12.
    + debian/rules: Move --fail-missing argument to dh_missing.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Drop unnecessary dependency on dh-autoreconf.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Jan 2021 17:10:27 +0100

compiz (2:0.8.18-1) unstable; urgency=medium

  * New upstream release.
    - compiz-decorator-test.patch: Upstreamed.
    - crash-crash: Upstreamed.
    - default_options.patch: Refresh.
    - marco-1.22: Upstreamed.
    - move: Upstreamed.
    - nonodelay: Upstreamed.
    - pc: Upstreamed.
    - switch: Upstreamed.
  * control: Remove Cyril from uploaders.
  * watch: switch to gitlab.
  * control: Make compiz-core multi-arch: foreign.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 06 Apr 2020 01:28:40 +0200

compiz (2:0.8.16.1-12) unstable; urgency=medium


