=== debian/control ===
Source: compiz
Section: x11
Priority: optional
Maintainer: Hypra Team <bugs@hypra.fr>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
               intltool,
               libcairo2-dev,
               libglib2.0-dev,
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libfuse3-dev [linux-any kfreebsd-any],
               libgl-dev,
               libglu1-mesa-dev,
               libgtk-3-dev,
               libice-dev,
               libmarco-dev,
               libmate-desktop-dev,
               libpango1.0-dev,
               libpng-dev,
               libjpeg-dev,
               librsvg2-dev,
               libsm-dev,
               libstartup-notification0-dev,
               libwnck-3-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxfixes-dev,
               libxinerama-dev,
               libxi-dev,
               libxml2-dev,
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               x11proto-gl-dev,
               xsltproc
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://gitlab.com/compiz/compiz-core
Vcs-Git: https://salsa.debian.org/compiz-team/compiz-reloaded.git
Vcs-Browser: https://salsa.debian.org/compiz-team/compiz-reloaded

Package: compiz
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         compiz-core (>= ${source:Version}),
         compiz-plugins (>= ${source:Version}),
         compiz-gnome (>= ${source:Version}),
         compiz-plugins-main,
         compizconfig-settings-manager,
         libcompizconfig0
Recommends: compiz-mate,
            compiz-plugins-extra
Suggests: compiz-plugins-experimental,
          emerald, fusion-icon
Description: OpenGL window and compositing manager
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This metapackage provides the components necessary for running compiz. It
 provides the compiz core, a set of standard plugins, a window decorator using
 the Gtk toolkit and a settings manager.

Package: compiz-core
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         mesa-utils
Breaks: libcompizconfig0 (<< 2:0.8.16-3~)
Recommends: compiz-plugins (= ${binary:Version}),
            compiz-plugins-main,
Suggests: nvidia-driver
Provides: compiz-core-abiversion-${coreabiversion}
Description: OpenGL window and compositing manager
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 Compiz combines together a window manager and a composite manager using
 OpenGL for rendering. A "window manager" allows the manipulation of the
 multiple applications and dialog windows that are presented on the screen. A
 "composite manager" allows windows and other graphics to be combined together
 to create composite images. Compiz achieves its stunning effects by doing
 both of these functions.

Package: compiz-dev
Architecture: any
Multi-Arch: same
Depends: compiz-core (= ${binary:Version}),
         ${misc:Depends},
         libgl-dev,
         libpng-dev,
         libjpeg-dev,
         libxcomposite-dev,
         libxfixes-dev,
         libxdamage-dev,
         libxinerama-dev,
         libxrandr-dev,
         libxcursor-dev,
         libice-dev,
         libsm-dev,
         libstartup-notification0-dev,
         libxi-dev,
         libxslt1-dev,
         libxml2-dev
Description: OpenGL window and compositing manager - development files
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the headers and libraries needed to compile compiz
 plugins.

Package: compiz-gnome
Architecture: any
Depends: compiz-core (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         libcompizconfig0
Recommends: compizconfig-settings-manager
Suggests: emerald
Description: OpenGL window and compositing manager - Gtk window decorator
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains a window decorator that uses Gtk to provide a look and
 feel similar to that of the marco window manager.

Package: compiz-mate
Architecture: any
Depends: compiz-gnome (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         marco,
Recommends: mate-themes
Description: OpenGL window and compositing manager - MATE window decorator
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains files needed to integrate compiz with the MATE desktop
 environment.

Package: compiz-plugins
Architecture: any
Depends: compiz-core (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: OpenGL window and compositing manager - plugins
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the standard plugins that come with compiz. Compiz
 without these plugins is not very useful.

Package: libdecoration0t64
Provides: ${t64:Provides}
Replaces: libdecoration0
Breaks: libdecoration0 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Compiz window decoration library
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator.

Package: libdecoration0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdecoration0t64 (= ${binary:Version}),
         ${misc:Depends},
         libx11-dev,
         libxrender-dev
Description: Compiz window decoration library - development files
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator and kde-window-decorator.
 .
 This package contains files required for developing window decorators
