=== debian/watch ===
version=4
opts="pagemangle=s!"name":"(v?@ANY_VERSION@)"!<a href="https://gitlab.com/compiz/compiz-core/-/archive/$1/compiz-core-$1.tar.bz2">!g" \
https://gitlab.com/api/v4/projects/compiz%2Fcompiz-core/repository/tags \
https://gitlab.com/compiz/compiz-core/.*/compiz-core-v?@ANY_VERSION@@ARCHIVE_EXT@
