=== debian/changelog ===
compiz (0.9.2.1+git20110226.f059fae9-4) experimental; urgency=low

  * compiz-plugins needs a Depends libdecoration0 (>= 0.9.0)

 -- Sean Finney <seanius@debian.org>  Mon, 07 Mar 2011 20:45:51 +0000

compiz (0.9.2.1+git20110226.f059fae9-3) experimental; urgency=low

  * Add Conflicts/Replaces to reflect some shifting of files from 0.8.x

 -- Sean Finney <seanius@debian.org>  Mon, 07 Mar 2011 19:50:37 +0100

compiz (0.9.2.1+git20110226.f059fae9-2) experimental; urgency=low

  * Add a Depends on libglibmm-2.4-dev to compiz-dev

 -- Sean Finney <seanius@debian.org>  Sun, 06 Mar 2011 13:53:30 +0000

compiz (0.9.2.1+git20110226.f059fae9-1) experimental; urgency=low

  [ Sean Finney ]
  * Incorporate Janos Guljas' compiz packaging work, thanks!

 -- Sean Finney <seanius@debian.org>  Sat, 26 Feb 2011 15:21:34 +0100

compiz (0.9.2.1-1.1) unstable; urgency=low

  [ Janos Guljas ]
  * New upstram release.
  * Bump standards to 3.9.1.
  * Rewrite debian/rules to use debhelper 7.
  * Switch to dpkg format 3.0 (quilt).
  * Updated *.install files for a new release.
  * Synchronize ubuntu patches from 0.9.2.1+glibmainloop-0ubuntu2.
    * 017_always_unredirect_screensaver_on_nvidia.patch
      - Workaround for nvidia not allocating memory when VT non-active
    * 018_use_metacity_settings.patch
      - Use metacity control center applet instead of compiz one
    * 056_Preserve-DESTDIR-if-no-override-in-COMPIZ_DESTDIR.patch
      - Preserve DESTDIR if no override in COMPIZ_DESTDIR
    * 060_move_checks_to_compiz.patch
      - Add additional checks for features before running
  * Added compiz-decorator and its manpage.
  * Added compiz-gnome.gconf-defaults.
  * kde-window-decorator is now kde4-window-decorator.
    - renamed manpage

 -- Janos Guljas <janos@resenje.org>  Sun, 14 Nov 2010 20:52:37 +0100

compiz (0.8.4-5) UNRELEASED; urgency=low

  * Drop compiz-core's README.Debian, which contained obsolete information
    about Xorg configuration (closes: #581863).  Thanks, Jon Dowland!

 -- Julien Cristau <jcristau@debian.org>  Sun, 16 May 2010 21:43:29 +0200
