=== debian/control ===
Source: compiz
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: David Nusinow <dnusinow@debian.org>, Sean Finney <seanius@debian.org>, Cyril Brulebois <kibi@debian.org>
Build-Depends: cmake (>= 2.6), debhelper (>= 7.0.50~), intltool, libtool,
 libcairo2-dev,
 libdbus-glib-1-dev, libgconf2-dev, 
 libgl1-mesa-dev (>= 6.5.1) | libgl-dev, libglib2.0-dev, libgnome-desktop-dev,
 libboost1.42-dev, libboost-serialization1.42-dev,
 libglibmm-2.4-dev,
 libgnomeui-dev, 
 libgnome-window-settings-dev, libgtk2.0-dev, libice-dev (>= 1:1.0.1), 
 libmetacity-dev (>= 1:2.30.0), libpango1.0-dev, libpng12-dev | libpng-dev, librsvg2-dev,
 libsm-dev (>= 1:1.0.1), libwnck-dev, libx11-dev, libxcomposite-dev (>= 1:0.3-2), libxext-dev,
 libxdamage-dev (>=1:1.0.3), libxfixes-dev (>= 1:4.0.1), libxinerama-dev,
 libxml-parser-perl, libxrandr-dev (>= 2:1.1.0.2), libxrender-dev (>= 1:0.9.1),
 libxcursor-dev,
 libxml2-dev, libxslt1-dev,
 libstartup-notification0-dev (>= 0.7),
 x11proto-gl-dev (>= 1.4.8), xsltproc,
 libglu1-mesa-dev,
 kdebase-workspace-dev, kdelibs5-dev (>= 4:4.2.2),
 metacity-common, libx11-xcb-dev
Standards-Version: 3.9.1
Homepage: http://www.compiz.org/
Vcs-Git: git://git.debian.org/git/pkg-xorg/app/compiz.git
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/app/compiz.git

Package: compiz
Architecture: all
Provides: x-window-manager
Depends: compiz-core (>= ${source:Version}), compiz-plugins (>= ${source:Version}), compiz-gnome | compiz-kde, compiz-fusion-plugins-main (>= 0.9), libcompizconfig0 (>= 0.9), ${misc:Depends}
Suggests: compizconfig-settings-manager
Description: OpenGL window and compositing manager - metapackage
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This metapackage provides the components necessary for running compiz. It
 provides the compiz core, a set of standard plugins, a window decorator using
 the Gtk toolkit and the files necessary to integrate compiz with the GNOME
 desktop environment.

Package: compiz-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libcompizconfig0 (<< 0.9),
 compiz-fusion-plugins-main (<< 0.9),
 compiz-fusion-plugins-extra (<< 0.9),
 compiz-gtk (<< 0.9)
Conflicts: compiz-gtk (<= 0.8.4-4)
Replaces: compiz-gtk (<= 0.8.4-4)
Recommends: compiz-plugins (= ${binary:Version})
Suggests: nvidia-glx (>= 1.0.9625-1)
Provides: compiz-core-abiversion-${coreabiversion}
Description: OpenGL window and compositing manager
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 Compiz combines together a window manager and a composite manager using
 OpenGL for rendering. A "window manager" allows the manipulation of the
 multiple applications and dialog windows that are presented on the screen. A
 "composite manager" allows windows and other graphics to be combined together
 to create composite images. Compiz achieves its stunning effects by doing
 both of these functions.

Package: compiz-dev
Architecture: any
Depends: compiz-core (= ${binary:Version}), ${misc:Depends}, libgl1-mesa-dev | libgl-dev, libpng-dev, libxcomposite-dev (>= 1:0.3-2), libxfixes-dev (>=1:4.0.1), libxdamage-dev (>= 1:1.0.3), libxinerama-dev, libxrandr-dev (>=2:1.1.0.2), libxcursor-dev, libice-dev (>= 1:1.0.1), libsm-dev (>= 1:1.0.1), libstartup-notification0-dev (>= 0.7), libxslt1-dev, libxml2-dev, libx11-xcb-dev, libglib2.0-dev, libglibmm-2.4-dev, compiz-plugins (= ${binary:Version})
Description: OpenGL window and compositing manager - development files
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the headers and libraries needed to compile compiz
 plugins.

Package: compiz-gtk
Architecture: any
Depends: compiz-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: compiz-plugins (<= 0.8.4-4)
Conflicts: compiz-plugins (<= 0.8.4-4)
Suggests: gnome-themes
Description: OpenGL window and compositing manager - Gtk window decorator
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains a window decorator that uses Gtk to provide a look and
 feel similar to that of the metacity window manager.

Package: compiz-kde
Architecture: any
Depends: compiz-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
         compiz-plugins (= ${binary:Version}),
         compizconfig-backend-kconfig4
Description: OpenGL window and compositing manager - KDE window decorator
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains a window decorator that uses KDE to provide a look and
 feel similar to that of the default KDE window manager.

Package: compiz-gnome
Architecture: any
Depends: compiz-gtk (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: OpenGL window and compositing manager - GNOME window decorator
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains files needed to integrate compiz with the GNOME desktop
 environment.

Package: compiz-plugins
Architecture: any
Depends: compiz-core (= ${binary:Version}), 
 libdecoration0 (>= 0.9.0),
 ${shlibs:Depends}, ${misc:Depends}
Description: OpenGL window and compositing manager - plugins
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the standard plugins that come with compiz. Compiz
 without these plugins is not very useful.

Package: libdecoration0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Compiz window decoration library
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator and kde-window-decorator.

Package: libdecoration0-dev
Section: libdevel
Architecture: any
Depends: libdecoration0 (= ${binary:Version}), ${misc:Depends}, libx11-dev, libxrender-dev (>= 1:0.9.1)
Description: Compiz window decoration library - development files
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator and kde-window-decorator.
 .
 This package contains files required for developing window decorators
 compatible with Compiz.

# vim: tw=0
