=== debian/watch ===
version=3
http://releases.compiz.org/([\d\.]+)[\d]/ compiz-core-([\d\.]+)\.tar\.gz
