=== debian/changelog ===
compiz (1:0.9.4+bzr20110415-0ubuntu2) natty; urgency=low

  * debian/patches/00_bzr_fix_apps_without_startupid.patch:
    - from upstream trunk, fix crash on applications removing _NET_STARTUP_ID
      (LP: #759363)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 19 Apr 2011 11:40:43 +0200

compiz (1:0.9.4+bzr20110415-0ubuntu1) natty; urgency=low

  * New upstream snapshot
    - Focus problem with Thunderbird (LP: #753951)
    - Chromium fullscreen + Alt-TAB confuses the launcher (LP: #757434)
    - compiz hangs randomly several times per day (LP: #740126)
  * debian/patches/00_*:
    - removed as part of upstream tarball

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 15 Apr 2011 17:08:40 +0200

compiz (1:0.9.4+bzr20110411-0ubuntu2) natty; urgency=low

  * 00_bzr_fix_crash_with_some_apps.patch
    - Fix inkscape/unison and other applications crashes (LP: #758307)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 14 Apr 2011 14:37:39 +0200

compiz (1:0.9.4+bzr20110411-0ubuntu1) natty; urgency=low

  * New upstream snapshot, including all 01_bzr* patch:
    - compiz crashed with SIGSEGV in PluginClassHandler<DecorWindow, CompWindow,
      0>::get() (LP: #743807)
    - Animation for Grid Previews is broken (LP: #754088)
    - Grid plugin: Maximizing a window from left or right edge loses original
      size (LP: #753051)
  * add 00_remove_printf.patch: remove debug printf
  * 02_add_debug_spewer_for_apport.patch:
    - refreshed

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 11 Apr 2011 13:25:14 +0200

compiz (1:0.9.4+bzr20110407-0ubuntu2) natty; urgency=low

  * New upstream snapshot:
    - fix unity-window-decorator crashed with SIGSEGV in event_filter_funct
      (LP: #711561)
  * debian/patches/086_new_grid_defaults.patch:
    - change threshold to 15 on sides and 20 on top to work well with the new
      animtion
  * debian/patches/01_bzr_fix_grid_on_multimonitor.patch,
    01_bzr_fix_resize.patch, 01_bzr_fix_grid_premultiply.patch:
    - from upstream bzr, fix grid on multimonitor and colors handling
  * debian/patches/086_new_grid_defaults.patch,
    debian/patches/029_default_options.patch:
    - set the resize grid shadow to orange (LP: #752711)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 07 Apr 2011 18:06:44 +0200

compiz (1:0.9.4+bzr20110406-0ubuntu1) natty; urgency=low

  * new upstream bzr tarball:
    - display/size problems with xterm (LP: #748137)
    - fix crashes on tcl/tk applications (LP: #741074, #747439)
    - fix grab on compose keys (LP: #747323)
    - resync stack at regular interval to avoid invisible windows
      (LP: #723014, #743011, #736876, #740465, #684590)
    - fix weird order in alt + tab (LP: #175874)
    - fix crash in gitk (LP: #743011, #741074)
    - avoid compiz detection by fglrx driver (LP: #740298)
    - Wrong window moves (LP: #741656, #743634)
    - Unity Grid is broken for multi-monitor setups (LP: #709221)
    - Feature Freeze Exception: Animation for Grid Plugin Previews (LP: #744104)
    - unity-window-decorator crashed with SIGSEGV in gdk_window_get_events()
      (LP: #725284)
    - fix xterm (LP: #692463)
    - start the decorator on a secondary screen (LP: #730495)
  * debian/patches/090_git_fix_new_invisible_windows.patch,
    debian/patches/100_bump_core.h.patch:
    - upstreamed
  * debian/patches/01_unity_window_decorator.patch
    debian/patches/085_add_grid_plugin.patch:
    - in bzr upstream tarball

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 06 Apr 2011 19:37:45 +0200

compiz (1:0.9.4git20110322-0ubuntu5) natty; urgency=low

  * debian/patches/080_fix_session_handling.patch:
    reverted, seems to break more people that it fixes it. Not commited to
    compiz trunk as well

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 24 Mar 2011 12:03:47 +0100

compiz (1:0.9.4git20110322-0ubuntu4) natty; urgency=low

  * 080_fix_session_handling.patch:
    - fix respawn on crash (LP: #716462)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 23 Mar 2011 23:38:35 +0100

compiz (1:0.9.4git20110322-0ubuntu3) natty; urgency=low

  * 90_git_fix_new_invisible_windows.patch:
    from git, fix a case with new invisible windows (LP: #741072)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 23 Mar 2011 17:36:06 +0100

compiz (1:0.9.4git20110322-0ubuntu2) natty; urgency=low

  * debian/patches/01_unity_window_decorator.patch:
    - fix frequent crash (LP: #740480)
  * debian/compiz-decorator:
    - reset the unity window decorator by default 

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 23 Mar 2011 08:55:46 +0100

compiz (1:0.9.4git20110322-0ubuntu1) natty; urgency=low

  * New upstream bug fix snapshot:
    - Application windows can sometimes fail to display and will
      mask regions of the screen (LP: #709461)
    - Compiz switcher Alt-Tab order is not predictable - should
      maintain LIFO ordering in application switcher (LP: #175874)
    - after compiz crashed, gnome-panel isn't mapped again (LP: #711378)
    - invisible windows border problem (LP: #710271)
    - Compiz thinks you are clicking in an edge window when you
      are not (LP: #734250)
    - Add test case for invisible window regressions (LP: #736876)
    - often can't alt-click-dnd to move the focussed dialog (LP: #711911)
    - When windows open for the first time they should not hide (LP: #723878)
    - Unity Grid is broken for multi-monitor setups (LP: #709221)
    - Pixmaps trashed during animations when window is unmapped (LP: #733331)
    - Windows have blank decorations when rapidly closing and
      reopening (LP: #733328)
    - Unity is not restored on unity/compiz crash: compiz doesn't register
      properly with gnome-session (LP: #716462)
  * remove the patch taken from upstream
  * refresh u-w-d patch with latest upstream work
  * debian/compiz-core.install:
    - image move to the final destination
  * debian/patches/100_bump_core.h.patch:
    - bump for ABI breakage
  * debian/compiz-decorator:
    - use gtk-window-decorator and not unity-window-decorator as it's really
